const { execSync } = require('child_process');
const fs = require('fs');
const os = require('os');

async function run(repo) {
    try {
        const filePath = `${os.homedir()}\\Desktop\\git-repositries\\`;
        if(repo==null){
            if(!process.cwd().includes(filePath)){
                console.log("Give valid repo name or open valid folder to run the tests")
                return 0;
            }
            execSync('pytest > sample.txt', { stdio: 'inherit', shell: true });
            const pytestOutput = fs.readFileSync('sample.txt', 'utf-8');
            console.log(pytestOutput);
        }
        else{
            const directoryPath = filePath + repo;
            if(process.cwd() != directoryPath){
                process.chdir(directoryPath);
            }
            execSync('pytest > sample.txt', { stdio: 'inherit', shell: true });
            const pytestOutput = fs.readFileSync('sample.txt', 'utf-8');
            console.log(pytestOutput);
        }

    } catch (error) {
        const pytestOutput = fs.readFileSync('sample.txt', 'utf-8');
        console.log(pytestOutput);
    }
}

module.exports = run