#! /usr/bin/env node
const { program } = require('commander')

const begin = require('./commands/begin')
const open = require('./commands/open')
const run = require('./commands/run')

program
    .command('begin <email>')
    .description('To fetch all the repositories to the local system')
    .action(begin)

program
    .command('open <repo>')
    .description('To open particular repository')
    .action(open)

    // if variable is optional we can use with [], eg: [repo] instead of <repo>
program
    .command('run [repo]')
    .description('Run tests')
    .action(run)

program.parse()